Bug 459696 - SyncML fails against Nokia E51 (wbxml2 bug)
SyncML fails against Nokia E51 (wbxml2 bug)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: wbxml2 (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Laurent Rineau
Fedora Extras Quality Assurance
: Patch
: 460917 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-21 06:48 EDT by Jan "Yenya" Kasprzak
Modified: 2009-07-14 13:09 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:09:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Debian BTS 487217 None None None Never

  None (edit)
Description Jan "Yenya" Kasprzak 2008-08-21 06:48:26 EDT
Description of problem:
Trying to synchronize the Nokia E51 phone with syncml-obex-client fails:

$ syncml-obex-client -b $MAC 10 --slow-sync text/x-vcard Contacts --wbxml --identifier "PC Suite" --dumpinfo
Just received a new session with ID 8022543076212114449
connection with device succeeded
Received an Alert for the DS Server at Contacts: Type: 201, Last , Next 20080811T165616Z
Just received a new session with ID 13
session incl. authentication successfully established
Received the DevInf
Session 13 reported final. flushing
Received an transport error: Forbidden (0x43)
Version-Release number of selected component (if applicable):

I have reported it upstream as
http://libsyncml.opensync.org/ticket/153
and the libsyncml developers suggested that it it actually a wbxml2 bug, reported at Debian as http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=487217 including a fix: http://bugs.debian.org/cgi-bin/bugreport.cgi?msg=5;filename=libwbxml_full.diff;att=1;bug=487217

After applying this patch to wbxml2-0.9.2-13.fc9.src.rpm, the syncml-obex-client command mentioned above works against my Nokia E51.

So please apply this patch also to the Fedora packages.
Comment 1 Juha Tuomala 2008-09-08 14:28:53 EDT
this is duplicate bug in this bugzilla.
Comment 2 Juha Tuomala 2008-09-08 14:30:19 EDT
.... or bug #460917 is duplicate to this one.
Comment 3 Juha Tuomala 2008-09-08 14:31:23 EDT
*** Bug 460917 has been marked as a duplicate of this bug. ***
Comment 4 Bug Zapper 2009-06-09 22:31:33 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-07-14 13:09:57 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.